Bug 50257 - Deadlock after expanding project tree (build 200410101800)
Deadlock after expanding project tree (build 200410101800)
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
4.x
PC Windows XP
: P2 (vote)
: 4.x
Assigned To: rmatous
issues@platform
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 08:38 UTC by wulgar
Modified: 2008-12-22 16:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
ThreadDump (33.04 KB, text/plain)
2004-10-12 08:40 UTC, wulgar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wulgar 2004-10-12 08:38:10 UTC
Another deadlock was after adding files to CVS but
I don't have thread dump
Comment 1 wulgar 2004-10-12 08:40:31 UTC
Created attachment 18213 [details]
ThreadDump
Comment 2 Milan Kubec 2004-10-15 15:06:56 UTC
Reassigning for evaluation.
Comment 3 pzajac 2004-10-18 09:07:27 UTC
Deadlock when the refresh action on MFS is called from two threadlock. 
Comment 4 pzajac 2004-10-18 09:08:11 UTC
correction: no threadlocks but threads
Comment 5 rmatous 2004-10-18 16:29:54 UTC
Already fixed:

Date: 04/10/12 03:47:50
Modified:    src/org/openide/filesystems AbstractFolder.java
Log: prevents from deadlock
  
http://openide.netbeans.org/source/browse/openide/src/org/openide/filesystems/AbstractFolder.java.diff?r1=1.84&r2=1.85


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo